Bug 1267045 - Cannot edit a Foreman Provider in Grid/Tile view
Cannot edit a Foreman Provider in Grid/Tile view
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity unspecified
: GA
: 5.5.0
Assigned To: Aparna Karve
Kyrylo Zvyagintsev
: ZStream
Depends On:
Blocks: 1267293
  Show dependency treegraph
 
Reported: 2015-09-28 19:25 EDT by Aparna Karve
Modified: 2015-12-08 08:33 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1267293 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:33:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aparna Karve 2015-09-28 19:25:24 EDT
Description of problem:Cannot edit a Foreman Provider in Grid/Tile view


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Navigate to Infrastructure -> Configuration Management
2. Make sure the view is set to either Grid or Tile
3. Select a Foreman Provider and then try editing it

Actual results:
Invalid input [provider_foreman/edit]

Expected results:
Edit page should render correctly

Additional info:
Comment 3 CFME Bot 2015-09-29 12:50:25 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/5f6f09597016d98d4a0c878e102e9acc2f5f7e19

commit 5f6f09597016d98d4a0c878e102e9acc2f5f7e19
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Fri Sep 25 16:06:13 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Sep 28 16:28:10 2015 -0700

    In Edit, call find_checked_items to get the foreman config mgr id
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1267045

 app/controllers/provider_foreman_controller.rb     |  8 +++++---
 .../provider_foreman_controller_spec.rb            | 23 ++++++++++++++++++++++
 2 files changed, 28 insertions(+), 3 deletions(-)
Comment 6 CFME Bot 2015-09-29 12:54:11 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 8 CFME Bot 2015-09-29 12:57:37 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 10 CFME Bot 2015-09-29 12:57:57 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 11 CFME Bot 2015-09-29 12:58:29 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=5f6f09597016d98d4a0c878e102e9acc2f5f7e19

commit 5f6f09597016d98d4a0c878e102e9acc2f5f7e19
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Fri Sep 25 16:06:13 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Sep 28 16:28:10 2015 -0700

    In Edit, call find_checked_items to get the foreman config mgr id
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1267045

 app/controllers/provider_foreman_controller.rb     |  8 +++++---
 .../provider_foreman_controller_spec.rb            | 23 ++++++++++++++++++++++
 2 files changed, 28 insertions(+), 3 deletions(-)
Comment 12 CFME Bot 2015-09-29 12:58:59 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=5f6f09597016d98d4a0c878e102e9acc2f5f7e19

commit 5f6f09597016d98d4a0c878e102e9acc2f5f7e19
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Fri Sep 25 16:06:13 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Sep 28 16:28:10 2015 -0700

    In Edit, call find_checked_items to get the foreman config mgr id
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1267045

 app/controllers/provider_foreman_controller.rb     |  8 +++++---
 .../provider_foreman_controller_spec.rb            | 23 ++++++++++++++++++++++
 2 files changed, 28 insertions(+), 3 deletions(-)
Comment 13 Kyrylo Zvyagintsev 2015-10-02 09:28:35 EDT
Verified fixed in version 5.5.0.3

Check redirecting to correct edit page form both views Grid and Tile
Comment 15 errata-xmlrpc 2015-12-08 08:33:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.